var express = require("express");

function tonicExpress(anExport) 
{
    var mount = express();
    var app = express();

    // "mount" is our root app, and it mounts "app" at your notebook path
    // which is available in the TONIC_MOUNT_PATH environment variable
    mount.use(process.env.TONIC_MOUNT_PATH || "", app);
    
    if (anExport) {
        anExport.tonicEndpoint = mount;
    }

    // overwrite .listen since it is not needed
    app.listen = function(){}
    
    // return the express instance for use by the caller
    return app;
}

module.exports = tonicExpress;
